Skip to content

Given a valid session ID, this request returns information for the currently authenticated user. If the session ID is not valid, this request returns an INVALID_SESSION_ID error type. This is similar to a whoami request.

GET/api/{version}/objects/users/me
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
exclude_vault_membership
optional
Set to false to include vault_membership fields. If omitted, defaults to true and vault_membership fields are not included in the response. As a best practice to increase performance, please use the default setting and do not set this parameter to false unless you need these fields.
exclude_app_licensing
optional
Set to false to include app_licensing fields. If omitted, defaults to true and app_licensing fields are not included in the response. As a best practice to increase performance, please use the default setting and do not set this parameter to false unless you need these fields.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.2/objects/users/me
{ "responseStatus": "SUCCESS", "users": [ { "user": { "user_name__v": "mmurray@veepharm.com", "user_first_name__v": "Megan", "user_last_name__v": "Murray", "user_email__v": "mmurray@veepharm.com", "user_timezone__v": "America/Los_Angeles", "user_locale__v": "en_US", "user_title__v": "", "office_phone__v": "8675309", "fax__v": "8675309", "mobile_phone__v": "8675309", "site__v": "", "is_domain_admin__v": true, "active__v": true, "domain_active__v": true, "security_policy_id__v": 1863, "user_needs_to_change_password__v": false, "id": 61579, "created_date__v": "2015-10-22T15:05:00.000Z", "created_by__v": 1, "modified_date__v": "2020-04-30T14:18:14.000Z", "modified_by__v": 1, "domain_id__v": 3826, "domain_name__v": "veepharm.com", "vault_id__v": [ 19523, 21556 ], "federated_id__v": "", "salesforce_user_name__v": "", "last_login__v": "2020-08-28T22:20:30.000Z", "medidata_uuid__v": "", "user_language__v": "en", "company__v": "VeevaPharm", "group_id__v": [ 1392631750202, 1392631750801 ], "security_profile__v": "vault_owner__v", "license_type__v": "full__v", "vault_membership": [ { "active__v": true, "security_profile__v": "vault_owner__v", "id": 19523, "license_type__v": "full__v" }, { "active__v": true, "security_profile__v": "vault_owner__v", "id": 21556, "license_type__v": "full__v" } ], "app_licensing": [ { "vault_id": 21556, "application__v": "clinicalSsu_v", "active__v": true, "license_type__v": "full__v" }, { "vault_id": 21556, "application__v": "clinicalCtms_v", "active__v": true, "license_type__v": "full__v" } ] } } ] }

On SUCCESS, this request returns information for the currently authenticated user, such as user_name__v and vault_id__v. If the session ID is not valid, this request returns an INVALID_SESSION_ID error type.